<?php

defined('ABSPATH') || die('error');

function gdprhelper__helper__in_elementor_edit_mode()
{
    if (isset($_GET['action']) && $_GET['action'] == 'elementor') {
        return true;
    }
    return false;
}

function gdprhelper__helper__is_elementor_installed_and_active()
{
    if (!function_exists('is_plugin_active')) {
        include_once(ABSPATH . 'wp-admin/includes/plugin.php');
    }
    return is_plugin_active('elementor/elementor.php');
}

function gdprhelper__helper__build_placeholder(
    $placeholder_header_text,
    $custom_text,
    $privacy_policy_url,
    $accept_button_text,
    $id_to_scroll_to,
    $image_src,
    $image_height_with_unit
) {
    global $post;

    $url = wp_nonce_url(get_permalink(), GH__COOKIES__PRIVACY_POLICY_ACCEPTED . $post->ID);

    // Build placeholder
    $placeholder_content = '<div class="gh__tooltip-container" style="margin-top: calc(-' . ($image_height_with_unit) . ' + 40px);">';

    $placeholder_content .= '<div class="gh__tooltip-content">';
    $placeholder_content .= isset($custom_text) && $custom_text != null && $custom_text != ''
        ? nl2br($custom_text) . '<br /><br />'
        : '';
    $placeholder_content .= $placeholder_header_text;
    $placeholder_content .= '<br /><br />';
    $placeholder_content .= sprintf(__('Learn more about our privacy policy: %s', GH__TEXT_DOMAIN), '<a href="' .  $privacy_policy_url  . '">' . __('Privacy policy', GH__TEXT_DOMAIN) . '</a>');
    $placeholder_content .= '</div>';

    $placeholder_content .= '<div class="gh__buttons-container">';
    $placeholder_content .= '<a class="gh__hide-tooltip-button">' . __('Cancel', GH__TEXT_DOMAIN) . '</a>';
    $placeholder_content .= '<a class="gh__show-map-button" href="' . $url
        . '&' . GH__COOKIES__PRIVACY_POLICY_ACCEPTED . '=true'
        . '&id=' . $post->ID
        . '&scrollto=' . $id_to_scroll_to
        . '">'
        . $accept_button_text
        . '</a>';
    $placeholder_content .= '</div>';

    $placeholder_content .= '</div>';

    // Populate content
    $content = '<div id="' . $id_to_scroll_to . '" class="gh__widget_placeholder-container" style="min-height: ' . $image_height_with_unit . ';">';
    $content .= '<img src="' . $image_src . '" alt="map placeholder" style="height: ' . $image_height_with_unit . '; width: 100%;" />';
    $content .= '<button class="gh__show-tooltip-button">';
    $content .= $accept_button_text;
    $content .= '</button>';
    $content .= $placeholder_content;
    $content .= '</div>';

    return $content;
}
